Skip to main content
GET
/
v1
/
organizations
/
{organizationId}
/
members
/
{userId}
Get member details
curl --request GET \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/members/{userId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "userId": "<string>",
    "name": "<string>",
    "email": "jsmith@example.com",
    "role": "admin",
    "joinedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization the member is part of.

userId
string<uuid>
required

ID of the requested user.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object